cscope (15.8b-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:19 +0000

cscope (15.8b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Homepage URL as per lintian warning about freecode.com.

 -- tony mancill <tmancill@debian.org>  Wed, 14 Oct 2015 22:55:18 -0700

cscope (15.8a-3) unstable; urgency=medium

  [ Jari Aalto ]
  * Add 05-support-fun-as-params.patch.  (Closes: #774695)
    - Add support for indexing of functions with function parameters.

  [ tony mancill ]
  * Drop unnecessary dependency on ed. (Closes: #773411)
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Sun, 26 Apr 2015 14:38:26 -0700

cscope (15.8a-2) unstable; urgency=low

  * Convert cscope-el package to a transitional package for xcscope-el.
  * Uploading now that xcscope-el has been accepted in the archive.

 -- tony mancill <tmancill@debian.org>  Sun, 22 Dec 2013 08:21:49 -0800

cscope (15.8a-1) unstable; urgency=low

  [ Jari Aalto ]
  * New upstream release (Closes: #717120, #689198).
  * debian/control
    - (Homepage): Update to Freecode.
    - (Standards-Version): 3.9.5.
    - (Uploaders): Co-maintain package.
    - (Vcs-*): Update to Alioth (Closes: #653605).
  * debian/copyright
    - Update to Format 1.0.

  [ tony mancill ]
  * Add myself to Uploaders:
  * debian/rules now uses "dh --with autotools_dev"
    - Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #726300).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 15 Oct 2013 22:31:40 +0300

cscope (15.7a-3.6) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags by switching to debhelper compat level 9
    (Closes: #653490)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Apr 2012 11:24:26 +0200

cscope (15.7a-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - (Suggests): Remove cbrowser (Closes: #651945).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 13 Dec 2011 18:33:47 +0200

cscope (15.7a-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to 8.
    - (Depends): add ed. The search-and-replace function in cscope is
      implemented using it. Patch thanks to Mark Heily <mark@heily.com>.
      (Closes: #626728).
    - (Standards-Version): Update to 3.9.2

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Sep 2011 19:11:57 +0300

cscope (15.7a-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/cscope-el.emacsen-remove
    - (ELCDIR): New variable. Fix removing of *.elc (Closes: #608985).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 10 Jan 2011 18:55:28 +0200

cscope (15.7a-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/clean
    - New file.
  * debian/control
    - (Standards-Version): Update to 3.9.1.
    - (cscope::Suggests): Add cscope-el.
  * debian/cscope-el.emacsen-install
    - Move from debian/cscope.emacsen-install (Closes: #582964).
    - Prefer install(1) to cp(1).
  * cscope-el.emacsen-remove
    - Move from cscope.emacsen-remove

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 15:51:58 +0200

cscope (15.7a-3.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
    - Move from dpatch to quilt patch system.
   * debian/copyright
    - Point to GPL-2. Use FSF URL (Lintian).
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (cscope::Description): Fix french hyphens.
    - (cscope-el::Description): Extend description.
  * debian/{cscope,cscope-el}.preinst
    - Add "set -e".
  * debian/cscope-indexer.1
    - Fix hyphens.
  * debian/patches
    - Convert all dpatch(es) into quilt format.
    - (Number 04): Refresh patch. Fix also hyphens in manpage.
  * debian/README.source
    - Delete; obsoleted by new packaging format.
  * debian/ocs.1
    - Fix hyphens and spelling.
  * debian/rules
    - Remove dpatch. Move to dh(1) build system.
    - (clean): Add rm for config.log.
  * debian/source/format
    - New file.

  [ Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/control
    - (Package::cscope-el): New. separete emacs lisp to cscope-el package
      (Closes: #565727).
  * debian/cscope-el.{emacsen-install,emacsen-remove,install,preinst}
    - New files.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 May 2010 20:29:08 +0300

cscope (15.7a-3) unstable; urgency=low

  * Depend on emacsen-common to be able to install xcscope.el correctly
    (Closes: #562550).
  * Add ${misc:Depends} to Depends field in control (this fixes a lintian
    warning).
  * Fix spelling error in ocs.1 manpage (this fixes a lintian warning).

 -- Tobias Klauser <tklauser@distanz.ch>  Wed, 13 Jan 2010 18:08:30 +0100

cscope (15.7a-2) unstable; urgency=low

  * Correctly install and remove emacs library file (closes: #515164). Thanks
    to Benoit Izac for the patch.
  * Update handling of config.{guess,sub} in debian/rules according to the
    autotools-dev README.Debian. This fixes a lintian warning.
  * Add README.source file (text taken from
    /usr/share/doc/dpatch/README.source)
  * Update to Standards-Version 3.8.3

 -- Tobias Klauser <tklauser@distanz.ch>  Wed, 21 Oct 2009 13:57:34 +0200

cscope (15.7a-1) unstable; urgency=high

  * New upstream release.
    - Security update for CVE-2009-0148 to fix multiple buffer overflows
      (Closes: #528510).
    - Drop 01-fix-resize-crash-inside-vim.dpatch, merged upstream.
  * Correctly install xcscope.el via dh_installemacsen (Closes: #515164).
  * Update to Standards-Version 3.8.1, no changes needed.

 -- Tobias Klauser <tklauser@distanz.ch>  Sun, 24 May 2009 12:13:47 +0200

cscope (15.6-7) unstable; urgency=low

  * Fix lintian warnings.
    - Do not ignore errors in cscope.preinst.
    - Remove invalid symbol from manpage.
  * Replaced obsolete dh_clean -k with dh_prep in rules.
  * Updated debhelper compatibility level from 5 to 7.
  * Updated to Standards-Version 3.8.0, no changes needed.
  * Changed maintainer email address.

 -- Tobias Klauser <tklauser@distanz.ch>  Sun, 11 Jan 2009 16:07:42 +0100

cscope (15.6-6) unstable; urgency=low

  * Fix Bashisms in contrib/ocs (Closes: #480591)
  * Remove Homepage tag in control in favour of the new control field.
  * Add Vcs-Git and Vcs-Browser control fields.

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sun, 18 May 2008 19:44:58 +0200

cscope (15.6-5) unstable; urgency=low

  * Remove left over Emacs startup file (Closes: #454377)
  * Update to Standards-Version 3.7.3 (no changes needed)

 -- Tobias Klauser <tklauser@access.unizh.ch>  Thu, 06 Dec 2007 20:06:00 +0100

cscope (15.6-4) unstable; urgency=low

  * Fix a typo in xcscope.el (Closes: #438170)
  * Update debhelper compatibility level from 4 to 5
  * Do not ignore error messages in the clean target of debian/rules

 -- Tobias Klauser <tklauser@access.unizh.ch>  Fri, 17 Aug 2007 15:34:56 +0200

cscope (15.6-3) unstable; urgency=low

  * Do not install invasive Emacs startup file 50cscope.el (Closes: #427765)

 -- Tobias Klauser <tklauser@access.unizh.ch>  Thu, 07 Jun 2007 00:31:15 +0200

cscope (15.6-2) unstable; urgency=low

  * Fix crash on resize when used inside vim. Patch taken from upstream BTS
    (Closes: #374994)
  * Add watch file again

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sat, 21 Oct 2006 14:46:49 +0200

cscope (15.6-1) unstable; urgency=low

  * New upstream release
    - Fixes a segfault when creating an inverted index and thus makes our own
      patch obsolete (#386595).

 -- Tobias Klauser <tklauser@access.unizh.ch>  Tue, 17 Oct 2006 14:16:17 +0200

cscope (15.5+cvs20060902-3) unstable; urgency=low

  * Fix a segfault when creating an inverted index (Closes: #386595). Thanks
    to Mike Stroyan <mike.stroyan@hp.com>
  * Replace symlink to the GPL in /usr/share/doc/cscope/contrib/webcscope by a
    license statement in debian/copyright. This fixes a linda warning.
  * Mention xcscope license and copyright information in debian/copyright
  * Remove pointless symlink to xcscope.el from cscope documentation
    directory.
  * CVE-2006-4262 was fixed with 15.5+cvs20060902-1 but I forgot to mention in
    the changelog, sorry!

 -- Tobias Klauser <tklauser@access.unizh.ch>  Fri, 29 Sep 2006 12:03:40 +0200

cscope (15.5+cvs20060902-2) unstable; urgency=low

  * Restore accidentally removed manpages ocs.1 and cscope-indexer.1

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sun,  3 Sep 2006 15:38:23 +0200

cscope (15.5+cvs20060902-1) unstable; urgency=low

  * New snapshot from upstream CVS as of 2006-09-02. Fixes the following bug:
    - Handle trailing ':' in VPATH envvar correctly, thanks Mattia Dongili
      (Closes: #353528)
  * New maintainer (Closes: #378802)
  * Remove Build-Depends on automake-1.7 as it was only there to shut up a
    warning which does not show up anymore.
  * Remove watch file

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sat,  2 Sep 2006 19:25:48 +0200

cscope (15.5+cvs20050816-2) unstable; urgency=low

  * QA Upload (Ack NMU, Closes: #340177)
  * Set Maintainer to QA Group, Orphaned: #378802
  * Conforms to latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue,  1 Aug 2006 11:04:19 +0200

cscope (15.5+cvs20050816-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch from Alec Berryman <alec@thened.net> to fix
    CVE-2004-2541.diff (Closes: #340177).

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Sat, 10 Jun 2006 20:06:36 +0200

cscope (15.5+cvs20050816-1) unstable; urgency=low

  * New upstream CVS as of 2005-08-16.  Fixes the following in Debian BTS:
     - 2004-06-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>
        * src/dir.c (makefilelist): Fix broken movement of point_in_line
          when parsing quoted names.  Simplify structure by moving default
          handling upward.
       Closes: Bug#298931 - bug in handling quote-protected filenames in
                            cscope.files
     - 2004-12-06  Neil Horman  <nhorman@gmail.com>
        * src/main.c: Fix for temp file security bug (sourceforge
          bug number 1062807 / CAN-2004-0970 [sic, should be CAN-2004-0996])
       Acknowledge NMU of 15.5-1.1 (Thanks to Joey Hess, Martin Pitt
       and Gerardo Di Giacomo).  Upstream fixed the same issue in a
       slightly different way, by creating a temp directory to store
       the temp files.  (Closes: #282815)
  * xcscope.el: Applied Lasse Kantola's change_let_to_setq.patch
    so that disabling of fuzzy matching would work correctly.
    (Closes: Bug#315466)
  * Adds Build-Depends: automake1.7 to avoid warnings.
  * Updated Standards-Version: from to 3.6.2.
  * Updated author list in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Sun, 13 Nov 2005 00:30:02 +0800

cscope (15.5-1.1) unstable; urgency=HIGH

  * NMU to fix temp file security hole. Closes: #282815 (CAN-2004-0996)
  * Incorporates a patch by Martin Pitt <martin.pitt@canonical.com>:
  * SECURITY UPDATE: insecure temp file creation vulnerability
  * src/main.c:
    - modified the temporary file creation procedure
  * References:
    - CAN-2004-0996
    - http://lists.netsys.com/pipermail/full-disclosure/2004-November/029341.html
  * Thanks to Gerardo Di Giacomo <gerardo@linux.it> for his assistance with
    the patch

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Dec 2004 12:45:00 -0500

cscope (15.5-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#236296)
  * cscope man page line-breaking problem has been fixed upstream.
    (Closes: Bug#176003, Bug#245705)
  * Added cscope-index.1 man page, thanks to Robert Lemmen!
    (Closes: Bug#174689)
  * Updated to Standards-Version: 3.6.1.
  * Fixed debian/watch.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Apr 2004 22:35:29 +0800

cscope (15.4-2) unstable; urgency=high

  * config.guess and config.sub too old.  Updated with the ones in
    /usr/share/misc.  Thanks to LaMont Jones for the bug report.
    Also, the new bison did not like the extraneous "=".  Removed them.
    Thanks to Junichi Uekawa for the added note.  (Closes: Bug#163465)
  * Minor fixes (incremented debhelper dependencies, shortened description)

 -- Anthony Fok <foka@debian.org>  Sun,  3 Nov 2002 00:28:19 +0800

cscope (15.4-1) unstable; urgency=low

  * New upstream release.  Thanks to GOTO Masanori for notifying me.
    (Closes: Bug#163309)

 -- Anthony Fok <foka@debian.org>  Sun,  6 Oct 2002 03:59:56 +0800

cscope (15.3-1) unstable; urgency=low

  * New upstream release.  (Thanks to GOTO Masanori for the notification).
    (Closes: Bug#104084)
  * Upstream seems to have fixed the "cscope hangs on trivial file not
    ending in newline" problem too.  :-)  Thanks to Bradley A. Bosch
    for reporting the problem.  (Closes: Bug#98461)
  * Added manpage for ocs(1) kindly provided by Nick Rusnov <nick@grawk.net>.
    Many thanks!  (Closes: Bug#100418)
  * Upgraded to Standards-Version: 3.5.6.
  * Added webcscope in /usr/share/doc/cscope/contrib.
  * Installed xcscope, an (X)Emacs interface for cscope.

 -- Anthony Fok <foka@debian.org>  Mon, 12 Nov 2001 01:48:57 +0800

cscope (15.1-1) unstable; urgency=low

  * New upstream release.

 -- Anthony Fok <foka@debian.org>  Sat,  2 Dec 2000 03:40:32 -0700

cscope (15.0bl2-1) unstable; urgency=low

  * New upstream release.  According to the upstream maintainer,
    it should be a lot more stable than 13.0x even though it's still
    in a pre-alpha stage,
  * Added contrib files in /usr/share/doc/cscope/contrib.

 -- Anthony Fok <foka@debian.org>  Wed, 17 May 2000 13:51:19 -0600

cscope (13.0.0.20000419-2) unstable; urgency=low

  * [debian/control]:
     - Now Suggests: cbrowser, a great Tcl-based front-end to cscope.
     - Added "Open-Sourced by" and "Maintainer" to the package description.

 -- Anthony Fok <foka@debian.org>  Wed, 17 May 2000 02:02:26 -0600

cscope (13.0.0.20000419-1) unstable; urgency=low

  * New upstream post-13.0 CVS updates as of 2000-04-19.
  * [common/library.h]: Added parentheses around `strcpy', `strncpy',
      `strpbrk' and `strchr' since they are defined as macros in
      glibc2, and cscope would not compile with CFLAGS="-O2" unless
      things like `char *strcpy()' is changed to `char *(strcpy)()'.
  * [debian/rules]: Uses CFLAGS="-O2 -g -Wall".
  * [debian/control]: Added Build-Depends line.
  * [debian/copyright]: Added the address to cscope's home page.

 -- Anthony Fok <foka@debian.org>  Thu, 20 Apr 2000 13:15:18 -0600

cscope (13.0-1) unstable; urgency=low

  * Initial Release.
  * [common/main.c]: Changed TMPDIR from "/usr/tmp" to "/tmp" as per FHS,
      otherwise cscope simply doesn't work.  /usr/tmp does not exist
      on Debian.

 -- Anthony Fok <foka@debian.org>  Wed, 19 Apr 2000 15:34:00 -0600
